#ifdef HAVE_CONFIG_H
# include <config.h>
#endif
/****************************************************************************
** Form implementation generated from reading ui file 'kbaccountsettings.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kbaccountsettings.ui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <klineedit.h>
#include <keditlistbox.h>
#include <qcheckbox.h>
#include <kcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kbaccountsettings.ui.h"

/*
 *  Constructs a KBAccountSettingsUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KBAccountSettingsUI::KBAccountSettingsUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KBAccountSettingsUI" );
    KBAccountSettingsUILayout = new QVBoxLayout( this, 11, 6, "KBAccountSettingsUILayout"); 

    tabWidget2 = new QTabWidget( this, "tabWidget2" );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    buttonGroup2 = new QButtonGroup( tab, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QVBoxLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    m_usePayeeAsIsButton = new QRadioButton( buttonGroup2, "m_usePayeeAsIsButton" );
    m_usePayeeAsIsButton->setChecked( FALSE );
    buttonGroup2Layout->addWidget( m_usePayeeAsIsButton );

    m_extractPayeeButton = new QRadioButton( buttonGroup2, "m_extractPayeeButton" );
    m_extractPayeeButton->setChecked( TRUE );
    buttonGroup2Layout->addWidget( m_extractPayeeButton );

    m_memoFrame = new QFrame( buttonGroup2, "m_memoFrame" );
    m_memoFrame->setEnabled( TRUE );
    m_memoFrame->setFrameShape( QFrame::NoFrame );
    m_memoFrame->setFrameShadow( QFrame::Sunken );
    m_memoFrameLayout = new QGridLayout( m_memoFrame, 1, 1, 11, 6, "m_memoFrameLayout"); 

    textLabel1 = new QLabel( m_memoFrame, "textLabel1" );

    m_memoFrameLayout->addWidget( textLabel1, 1, 0 );

    textLabel2 = new QLabel( m_memoFrame, "textLabel2" );

    m_memoFrameLayout->addWidget( textLabel2, 2, 0 );

    textLabel3 = new QLabel( m_memoFrame, "textLabel3" );

    m_memoFrameLayout->addWidget( textLabel3, 0, 1 );

    m_memoRegExpEdit = new KLineEdit( m_memoFrame, "m_memoRegExpEdit" );

    m_memoFrameLayout->addWidget( m_memoRegExpEdit, 2, 1 );

    m_payeeRegExpEdit = new KLineEdit( m_memoFrame, "m_payeeRegExpEdit" );

    m_memoFrameLayout->addWidget( m_payeeRegExpEdit, 1, 1 );

    m_payeeExceptions = new KEditListBox( m_memoFrame, "m_payeeExceptions" );
    m_payeeExceptions->setEnabled( TRUE );
    m_payeeExceptions->setButtons( int( KEditListBox::UpDown | KEditListBox::Remove | KEditListBox::Add ) );

    m_memoFrameLayout->addWidget( m_payeeExceptions, 4, 1 );
    buttonGroup2Layout->addWidget( m_memoFrame );
    tabLayout->addWidget( buttonGroup2 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    m_transactionDownload = new QCheckBox( tab_2, "m_transactionDownload" );
    m_transactionDownload->setChecked( FALSE );
    tabLayout_2->addWidget( m_transactionDownload );

    layout2 = new QGridLayout( 0, 1, 1, 0, 6, "layout2"); 

    textLabel1_2 = new QLabel( tab_2, "textLabel1_2" );

    layout2->addWidget( textLabel1_2, 0, 0 );

    m_preferredJobMethod = new KComboBox( FALSE, tab_2, "m_preferredJobMethod" );

    layout2->addWidget( m_preferredJobMethod, 0, 1 );

    m_preferredStatementDate = new KComboBox( FALSE, tab_2, "m_preferredStatementDate" );

    layout2->addWidget( m_preferredStatementDate, 1, 1 );

    textLabel2_2 = new QLabel( tab_2, "textLabel2_2" );

    layout2->addWidget( textLabel2_2, 1, 0 );
    tabLayout_2->addLayout( layout2 );
    spacer2 = new QSpacerItem( 20, 160, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( spacer2 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );
    KBAccountSettingsUILayout->addWidget( tabWidget2 );
    spacer1 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KBAccountSettingsUILayout->addItem( spacer1 );
    languageChange();
    resize( QSize(488, 519).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_extractPayeeButton, SIGNAL( toggled(bool) ), m_memoFrame, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( m_extractPayeeButton, m_payeeRegExpEdit );
    setTabOrder( m_payeeRegExpEdit, m_memoRegExpEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KBAccountSettingsUI::~KBAccountSettingsUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KBAccountSettingsUI::languageChange()
{
    setCaption( QString::null );
    buttonGroup2->setTitle( tr( "Payee source" ) );
    m_usePayeeAsIsButton->setText( tr( "Use payee field as provided by institution" ) );
    m_extractPayeeButton->setText( tr( "Extract payee from memo field using regular expressions" ) );
    textLabel1->setText( tr( "Payee" ) );
    textLabel2->setText( tr( "Memo" ) );
    textLabel3->setText( tr( "Regular Expression for" ) );
    m_payeeExceptions->setTitle( tr( "Exceptions" ) );
    tabWidget2->changeTab( tab, tr( "Payee" ) );
    m_transactionDownload->setText( tr( "Download transactions from institution" ) );
    QWhatsThis::add( m_transactionDownload, tr( "The plugin usually downloads the account balance and transactions. In some circumstances, the download of transaction data is not supported for certain accounts. The following option allows to turn off the request for transaction data." ) );
    textLabel1_2->setText( tr( "Default method for jobs for this institution" ) );
    m_preferredJobMethod->clear();
    m_preferredJobMethod->insertItem( tr( "Ask user" ) );
    m_preferredJobMethod->insertItem( tr( "Execute" ) );
    m_preferredJobMethod->insertItem( tr( "Queue" ) );
    m_preferredJobMethod->setCurrentItem( 0 );
    m_preferredStatementDate->clear();
    m_preferredStatementDate->insertItem( tr( "Ask user" ) );
    m_preferredStatementDate->insertItem( tr( "No date" ) );
    m_preferredStatementDate->insertItem( tr( "Last download" ) );
    m_preferredStatementDate->insertItem( tr( "First possible" ) );
    textLabel2_2->setText( tr( "Default start date for statement download" ) );
    tabWidget2->changeTab( tab_2, tr( "Download" ) );
}

